<div ng-controller="timeExportFormController as self"
     ng-init="self.init(<?= $this->timeExport ? $this->timeExport->getId() : 'null' ?>)">
    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
        <li><?= $this->translate('time_module_title') ?></li>
        <li><a href="<?= $this->url('timesheet/export') ?>"><?= $this->translate('time_export_module_title') ?></a></li>
        <li class="active">
            <span ng-if="self.timeExport.id">{{self.panelTitle}}</span>
            <span ng-if="!self.timeExport.id"><?= $this->translate('time_export_nav_form') ?></span>
        </li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('word') ?> <?= $this->translate('time_export_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <div class="panel">
                <div class="panel-heading">
                    <span ng-if="self.timeExport.id">
                        {{self.panelTitle}}
                    </span>
                    <span ng-if="!self.timeExport.id">
                        <?= $this->translate('time_export_nav_form') ?>
                    </span>

                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" ng-if="self.timeExport.id && self.timeExport._rights.delete"
                             tooltip="<?= $this->translate('tooltip_delete') ?>">
                            <?= $this->icon('delete', 'pointer', ['ng-click' => 'self.deleteTimeExport()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <form name="timeExportForm" ng-submit="self.saveTimeExport()">
                        <input type="hidden" name="id" ng-model="self.timeExport.id"/>

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('time_export_field_name') ?></label>
                                <input type="text" name="name" class="form-control" required autocomplete="off"
                                       ng-model="self.timeExport.name" ng-readonly="!self.timeExport._rights.update"/>
                                <field-errors field="name" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('time_export_field_orientation') ?></label>
                                <select class="form-control" required ng-model="self.timeExport.orientation"
                                        ng-disabled="!self.timeExport._rights.update">
                                    <?php foreach (\Time\Entity\Export::getOrientations() as $orientation) {
                                        echo '<option value="' . $orientation . '">' . $this->translate('time_export_orientation_' . $orientation) . '</option>';
                                    } ?>
                                </select>
                                <field-errors field="orientation" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('time_export_field_hoursByDay') ?></label>
                                <input type="text" name="hoursByDay" class="form-control" required autocomplete="off"
                                       ng-model="self.timeExport.hoursByDay"
                                       ng-readonly="!self.timeExport._rights.update"/>
                                <field-errors field="hoursByDay" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('time_export_field_cost') ?></label>
                                <input type="text" name="cost" class="form-control" required autocomplete="off"
                                       ng-model="self.timeExport.cost" ng-readonly="!self.timeExport._rights.update"/>
                                <field-errors field="cost" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('time_export_field_totalUnit') ?></label>
                                <select class="form-control" multiple="true" required
                                        ng-model="self.timeExport.totalUnit"
                                        ng-disabled="!self.timeExport._rights.update">
                                    <?php foreach (\Time\Entity\Export::getTotalUnits() as $totalUnit) {
                                        echo '<option value="' . $totalUnit . '">' . $this->translate('time_export_totalUnit_' . $totalUnit) . '</option>';
                                    } ?>
                                </select>
                                <field-errors field="totalUnit" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('time_export_field_groupByUnit') ?></label>
                                <select class="form-control" required ng-model="self.timeExport.groupByUnit"
                                        ng-disabled="!self.timeExport._rights.update">
                                    <?php foreach (\Time\Entity\Export::getGroupByUnits() as $groupByUnit) {
                                        echo '<option value="' . $groupByUnit . '">' . $this->translate('time_export_groupByUnit_' . $groupByUnit) . '</option>';
                                    } ?>
                                </select>
                                <field-errors field="groupByUnit" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('time_export_field_sortByProperty') ?></label>
                                <select class="form-control" required ng-model="self.timeExport.sortByProperty"
                                        ng-disabled="!self.timeExport._rights.update">
                                    <?php foreach (\Time\Entity\Export::getSortByProperties() as $sortByProperty) {
                                        echo '<option value="' . $sortByProperty . '">' . $this->translate('time_export_sortByProperty_' . $sortByProperty) . '</option>';
                                    } ?>
                                </select>
                                <field-errors field="sortByProperty" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group col-sm-4">
                                <label><?= $this->translate('time_export_field_addMissingDays') ?></label>
                                <input type="checkbox" name="addMissingDays" ng-model="self.timeExport.addMissingDays"
                                       ng-readonly="!self.timeExport._rights.update"/>
                                <field-errors field="addMissingDays" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group col-sm-4">
                                <label><?= $this->translate('time_export_field_completeMonths') ?></label>
                                <input type="checkbox" name="completeMonths" ng-model="self.timeExport.completeMonths"
                                       ng-readonly="!self.timeExport._rights.update"/>
                                <field-errors field="completeMonths" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group col-sm-4">
                                <label><?= $this->translate('time_export_field_allYear') ?></label>
                                <input type="checkbox" name="allYear" ng-model="self.timeExport.allYear"
                                       ng-readonly="!self.timeExport._rights.update"/>
                                <field-errors field="allYear" errors="self.errors.fields"></field-errors>
                            </div>
                        </div>

                        <div ng-if="self.timeExport._rights.update" class="row">
                            <div class="col-xs-12">
                                <button type="submit" class="btn btn-submit"
                                        ng-disabled="self.loading.remove || self.loading.save">
                                    <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                    <?= $this->translate('form_button_save') ?>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('timeExport:e:timeExport:c')) {
    $fabLinks[] = [
        'href' => $this->url('timesheet/time-export/form'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('time_export_nav_form'),
    ];
}

echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/time/service/timeExport.js');
$this->angular('js/src/time/controller/time-export/form.js');
